commit: 5ab8d5038ad554f02c3c80f2152fa3ed9eab38be
Author: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 22 14:54:54 2020 +0000
Commit: Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Sun Mar 22 14:55:17 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ab8d503
sys-cluster/openmpi: migrate 1.8 to EAPI=7
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>
sys-cluster/openmpi/openmpi-1.8.8.ebuild | 13 +++++++------
1 file changed, 7 insertions(+), 6 deletions(-)
diff --git a/sys-cluster/openmpi/openmpi-1.8.8.ebuild
b/sys-cluster/openmpi/openmpi-1.8.8.ebuild
index 824231448df..0390b384934 100644
--- a/sys-cluster/openmpi/openmpi-1.8.8.ebuild
+++ b/sys-cluster/openmpi/openmpi-1.8.8.ebuild
@@ -1,11 +1,11 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
FORTRAN_NEEDED=fortran
-inherit cuda eutils flag-o-matic fortran-2 java-pkg-opt-2 multilib
toolchain-funcs versionator
+inherit cuda flag-o-matic fortran-2 java-pkg-opt-2 toolchain-funcs
MY_P=${P/-mpi}
S=${WORKDIR}/${MY_P}
@@ -29,7 +29,7 @@ IUSE_OPENMPI_OFED_FEATURES="
DESCRIPTION="A high-performance message passing library (MPI)"
HOMEPAGE="http://www.open-mpi.org"
-SRC_URI="http://www.open-mpi.org/software/ompi/v$(get_version_component_range
1-2)/downloads/${MY_P}.tar.bz2"
+SRC_URI="http://www.open-mpi.org/software/ompi/v$(ver_cut
1-2)/downloads/${MY_P}.tar.bz2"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux"
@@ -94,6 +94,7 @@ pkg_setup() {
}
src_prepare() {
+ default
# Necessary for scalibility, see
# http://www.open-mpi.org/community/lists/users/2008/09/6514.php
if use threads; then
@@ -150,13 +151,13 @@ src_configure() {
}
src_install() {
- emake DESTDIR="${D}" install
+ default
# From USE=vt see #359917
- rm "${ED}"/usr/share/libtool &> /dev/null
+ rm "${ED}"/usr/share/libtool || die
# Avoid collisions with libevent
- rm -rf "${ED}"/usr/include/event2 &> /dev/null
+ rm -rf "${ED}"/usr/include/event2 || die
# Remove la files, no static libs are installed and we have pkg-config
find "${ED}"/usr/$(get_libdir)/ -type f -name '*.la' -delete